Bug 1117906 - Review Request: python-scikit-image - Image processing in Python
Summary: Review Request: python-scikit-image - Image processing in Python
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 15:29 UTC by Sergio Pascual
Modified: 2016-01-13 01:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-05 13:14:14 UTC
Type: ---
erik: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sergio Pascual 2014-07-09 15:29:56 UTC
Spec URL: http://guaix.fis.ucm.es/~spr/fedora/python-scikit-image.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/fedora/python-scikit-image-0.10.1-1.fc20.src.rpm
Description: The scikit-image SciKit (toolkit for SciPy) extends 
scipy.ndimage to provide a versatile set of image processing routines.
Fedora Account System Username: sergiopr

Comment 1 Christopher Meng 2014-07-09 15:39:38 UTC
No need for f20+:

%global __provides_exclude_from ^(%{python2_sitearch}|%{python3_sitearch})/.*\\.so$

Comment 2 Erik Johnson 2014-07-24 14:12:24 UTC
On which branches do you intend this to be built?

The "with_python3" at the top will keep this from building for EPEL < 7. Also, if you want to build on EPEL 6 and earlier, then you'd need to define some additional python macros (https://fedoraproject.org/wiki/Packaging:Python#Macros). For instance, I use following to allow the package to build properly on all current Fedora and EPEL branches:




%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%else             

%if 0%{?rhel} == 5
%global with_python26 1
%global pybasever 2.6
%endif

%{!?__python2: %global __python2 /usr/bin/python%{?pybasever}}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Comment 3 Erik Johnson 2014-07-24 14:40:51 UTC
Several rpmlint issues:

python-scikit-image.x86_64: W: non-standard-group Unspecified
python-scikit-image.x86_64: W: invalid-url URL: http://scikit-image.org/ <urlopen error [Errno 104] Connection reset by peer>
python3-scikit-image.x86_64: W: non-standard-group Unspecified
python3-scikit-image.x86_64: W: python-bytecode-without-source /usr/lib64/python3.3/site-packages/skimage/io/tests/__pycache__/test_plugin_util.cpython-33.pyo
... 513 more like the above ...
scikit-image-tools.noarch: W: non-standard-group Unspecified
scikit-image-tools.noarch: W: no-documentation
python-scikit-image.src: W: non-standard-group Unspecified
python-scikit-image.src:104: E: files-attr-not-set
python-scikit-image.src:105: E: files-attr-not-set
python-scikit-image.src:106: E: files-attr-not-set
python-scikit-image.src:110: E: files-attr-not-set
python-scikit-image.src:111: E: files-attr-not-set
python-scikit-image.src:112: E: files-attr-not-set
python-scikit-image.src:116: E: files-attr-not-set
python-scikit-image.src: W: no-cleaning-of-buildroot %clean
python-scikit-image.src: W: no-buildroot-tag
python-scikit-image.src: W: no-%clean-section


I would probably change the group to "Development/Libraries". The invalid-url warning seems like a false-positive. It doesn't look like you're intentionally excluding the source files from the install, so this is probably a quirk of the module and can probably be safely ignored as well.

Comment 4 Eduardo Mayorga 2014-07-24 16:35:48 UTC
Some comments:

- It won't build in EPEL7 either as it doesn't ship Python 3, so you must conditionalize for that branch too.

- The python3- subpackage's summary and description should explicitly state it's a Python 3 module. For example:

%package -n python3-%{upname}
Summary: Image processing in Python

should be:
Summary: Image processing in Python 3

Comment 5 Sergio Pascual 2014-07-29 09:44:28 UTC
(In reply to Christopher Meng from comment #1)
> No need for f20+:
> 
> %global __provides_exclude_from
> ^(%{python2_sitearch}|%{python3_sitearch})/.*\\.so$

Ok, I will remove it in the next SPEC

Comment 6 Sergio Pascual 2014-07-29 09:45:11 UTC
(In reply to Erik Johnson from comment #2)
> On which branches do you intend this to be built?
> 

Only in the latest Fedoras

Comment 7 Sergio Pascual 2014-07-29 09:48:17 UTC
(In reply to Erik Johnson from comment #3)
> Several rpmlint issues:
> 
> python-scikit-image.x86_64: W: non-standard-group Unspecified
> python3-scikit-image.x86_64: W: python-bytecode-without-source
> /usr/lib64/python3.3/site-packages/skimage/io/tests/__pycache__/
> test_plugin_util.cpython-33.pyo
> ... 513 more like the above ...
> scikit-image-tools.noarch: W: non-standard-group Unspecified
> python-scikit-image.src:104: E: files-attr-not-set
> python-scikit-image.src: W: no-cleaning-of-buildroot %clean
> python-scikit-image.src: W: no-buildroot-tag
> python-scikit-image.src: W: no-%clean-section
> 
> 

It seems you are using an old version of rpmlint. Group is not needed in Rawhide. defattr, buildroot or %clean aren't needed also. Could you try the rpmlint in Fedora 20?

Comment 8 Sergio Pascual 2014-07-29 09:53:17 UTC
(In reply to Eduardo Mayorga from comment #4)
> Some comments:
> 
> - It won't build in EPEL7 either as it doesn't ship Python 3, so you must
> conditionalize for that branch too.

I don't plan to build in epel7 for the momemnt.

> 
> - The python3- subpackage's summary and description should explicitly state
> it's a Python 3 module. For example:
> 
> %package -n python3-%{upname}
> Summary: Image processing in Python
> 
> should be:
> Summary: Image processing in Python 3

Are you sure? There is nothing in the guidelines about that. I haven't searched through the entire python3 package collection, but using Python/Python3 seems to be a matter of packager choice

Comment 10 Erik Johnson 2014-08-11 21:59:05 UTC
Sorry for not getting back to this, I've either been extremely busy at work or traveling for most of the last two weeks.

I re-ran rpmlint again today and there are no errors/warnings, save for those that affect EPEL (EPEL 5 in particular). Since you only plan to build for Fedora, this looks good to me.

Comment 11 Sergio Pascual 2014-08-13 17:10:47 UTC
New Package SCM Request
=======================
Package Name: python-scikit-image
Short Description: Image processing in Python
Upstream URL: http://scikit-image.org/
Owners: sergiopr
Branches: f21 f20
InitialCC:

Comment 12 Gwyn Ciesla 2014-08-14 11:53:24 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.